Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Cattiva esecuzione di una piattaforma su Ubuntu 12.04 LTS
#1
Salve,



apro questa discussione perché avrei bisogno di un chiarimento riguardante OpenGL su UBUNTU 12.04 LTS che ho da poco installato su un mio PC fisso il quale però è abbastanza datato (cfr. cartella zippata), ma ora come ora non ho possibilità di cambiarlo, per questo sto cercando una risoluzione alternativa al mio problema.



Il problema è che la sua scheda video sembra non supportare, di OpenGL, la versione 3.1 ma neanche la versione minima di cui avrei bisogno per far girare BENE un software che ho scaricato. Questa mia deduzione la ricavo, oltre che basandomi sui requisiti del software stesso, anche dal test eseguito (cfr. cartella zippata) ma non ne ho la certezza. Se magari l'avrò da voi, posso sapere per favore se vi è un metodo per superare questo ostacolo? Sapendo bene che vi sarebbe anche un'altra causa al mio problema, e cioè che la scheda madre ha un processore di bassa frequenza che, seppure potrei sostituire (ne dovrei avere una con processore Qdi Superb 4le V2.0 da 2.8 GHz), almeno per ora non posso, secondo voi il problema in questione resterà ugualmente senza che io vada a sostituire i moduli RAM (nonostante ne avessi altri 2 da 1 GiB, non mi è stato possibile perché lo spacco di ognuno non combacia, a prescindere dal verso in cui provo a inserirli)? Ah, non badate alla capacità del disco rigido, anche perché non uso il PC per archiviare dati né vedere video né per aggiungere altri programmi. Voglio inoltre informarvi che per l'obiettivo in questione ho anche rimosso tutte le funzionalità elencate nel link https://www.lffl.org/2012/05/alleggerire...-1204.html.


Grazie per l'attenzione e grazie in anticipo per le eventuali risposte!





P.S. Non essendo riuscita a caricare la cartella zippata, ho inserito i file uno ad uno, sperando che almeno così siano arrivati... In caso contrario fatemi sapere, grazie!                     
Cita messaggio
#2
Certo che 500 MB di RAM sono proprio pochi.
Per alleggeirilo ulteriormente puoi installare gnome-session-fallback.

Di che piattaforma stai parlando?
Cita messaggio
#3
bisognerebbe sapere che programma devi eseguire,poi dovresti cambiare il sistema operativo visto che è molto datato.Sto provando su computer vecchio una distro base Debian molto leggera semplice e funziona bene.potresti provare

https://sourceforge.net/projects/illedelinux/files/
Cita messaggio
#4
di quale cartella zippata parli? non l'hai allegata

Comunque, Open GL 3.1 è una libreria che risale alla prima metà del 2009, in che vuol dire che, ben che vada, i primi prodotti compatibili risalgono più o meno a quel periodo. Il Pentium 4 1700 Mhz risale esattamente a quel periodo, ma non significa nulla, bisogna vedere quale scheda video è motata sul computer e controllarne le specifiche tecniche.
Se dal test che hai eseguito risulta che la scheda non supporta le specifiche, non c'è nulla che puoi fare, a parte che eseguire l'applicazione su un computer più moderno.
C'è pure la possibilità che sia una questione di driver nel kernel Linux, in tal caso invece della 12.04 potresti provare la 14.04 (tuttavia la 12.04 è del 2012, dovrebbe già contenere i driver giusti).

DEVI capire marca e modello della scheda video, in modo da controllare le specifiche.

P.S.
QDI non è un processore, è una marca di elettronica che ai tempi produceva schede madri
Il mio blog: ZEROZEROCENT.BLOGSPOT.COM
LEGGE DI MURPHY: SE QUALCOSA PUO' ANDAR MALE, LO FARA'
VERSIONE QUANTISTICA DELLA LEGGE DI MURPHY: TUTTO VA MALE CONTEMPORANEAMENTE
Cita messaggio
#5
per sapere le specifiche della scheda video digita nel terminale:
Codice:
lshw -C display
Posta poi il risultato.
Cita messaggio
#6
(26/03/2020, 20:55)piergiorgio erla Ha scritto: bisognerebbe sapere che programma devi eseguire,poi dovresti cambiare il sistema operativo visto che è molto datato.Sto provando su computer vecchio una distro base Debian molto leggera semplice e funziona bene.potresti provare

https://sourceforge.net/projects/illedelinux/files/
 Grazie, Piergiorgio!

Ho provato a masterizzare la distro che gentilmente mi hai consigliato ma su di un CD non mi è stato possibile (come d'altronde mi capitava con altre distro, ragion per cui avevo fatto la scelta di ubuntu 12.04 LTS). Vorrà dire che ci riproverò non appena avrò acquistato un DVD opportuno (cioè come da allegato).    

(27/03/2020, 08:58)BAT Ha scritto: di quale cartella zippata parli? non l'hai allegata

Comunque, Open GL 3.1 è una libreria che risale alla prima metà del 2009, in che vuol dire che, ben che vada, i primi prodotti compatibili risalgono più o meno a quel periodo. Il Pentium 4 1700 Mhz risale esattamente a quel periodo, ma non significa nulla, bisogna vedere quale scheda video è motata sul computer e controllarne le specifiche tecniche.
Se dal test che hai eseguito risulta che la scheda non supporta le specifiche, non c'è nulla che puoi fare, a parte che eseguire l'applicazione su un computer più moderno.
C'è pure la possibilità che sia una questione di driver nel kernel Linux, in tal caso invece della 12.04 potresti provare la 14.04 (tuttavia la 12.04 è del 2012, dovrebbe già contenere i driver giusti).

DEVI capire marca e modello della scheda video, in modo da controllare le specifiche.

P.S.
QDI non è un processore, è una marca di elettronica che ai tempi produceva schede madri
Va bene riguardo alla precisazione sul processore, grazie!  Non sono del mestiere ma è sempre un piacere sapere qualcosa in più! Il processore di cui parlavo è l'Intel Pentium 4 con frequenza, come già detto, di 2.8 GHz.
Riguardo invece alla scheda grafica, l'ho appena allegata al mio primo messaggio.

(27/03/2020, 11:15)m3nhir Ha scritto: per sapere le specifiche della scheda madre digita nel terminale:
Codice:
lshw -C display
Posta poi il risultato.
Grazie, gentilissimo !
È un' istruzione che non conoscevo.

(26/03/2020, 20:48)andrea111 Ha scritto: Certo che 500 MB di RAM sono proprio pochi.
Per alleggeirilo ulteriormente puoi installare gnome-session-fallback.

Di che piattaforma stai parlando?
Sì, hai ragione riguardo alla RAM !  018 026
La piattaforma è https://www.pokerstars.it/.

(27/03/2020, 08:58)BAT Ha scritto: di quale cartella zippata parli? non l'hai allegata

Comunque, Open GL 3.1 è una libreria che risale alla prima metà del 2009, in che vuol dire che, ben che vada, i primi prodotti compatibili risalgono più o meno a quel periodo. Il Pentium 4 1700 Mhz risale esattamente a quel periodo, ma non significa nulla, bisogna vedere quale scheda video è motata sul computer e controllarne le specifiche tecniche.
Se dal test che hai eseguito risulta che la scheda non supporta le specifiche, non c'è nulla che puoi fare, a parte che eseguire l'applicazione su un computer più moderno.
C'è pure la possibilità che sia una questione di driver nel kernel Linux, in tal caso invece della 12.04 potresti provare la 14.04 (tuttavia la 12.04 è del 2012, dovrebbe già contenere i driver giusti).

DEVI capire marca e modello della scheda video, in modo da controllare le specifiche.

P.S.
QDI non è un processore, è una marca di elettronica che ai tempi produceva schede madri
Avrei anche un'altra scheda grafica che ho provato pure al posto di quella attuale ma non so per quale motivo non so andare avanti dopo dell'accensione (ho provato qualcosa da BIOS ma a zonzo). La scheda di cui parlo è in allegato.        
Cita messaggio
#7
Insisto su gnome-session-fallback - alleggerisce notevolmente ubuntu.

E posta anche sudo lshw -c video come ti ha chiesto m3nhir. Vediamo i driver video.

Quella che hai allegato è una ATI del 2001 (!!!), mi sa che all'epoca le prese VGA per la scheda grafica erano appena state introdotte.
Cita messaggio
#8
La scheda ATI non va bene, è del 2001, impossibile che supporti la specifica open GL formalizzata nel 2009;
la Matrox forse invece si, basta che nel kernel Linux ci siano i driver, devi fare la prova non c'è altro modo
Il mio blog: ZEROZEROCENT.BLOGSPOT.COM
LEGGE DI MURPHY: SE QUALCOSA PUO' ANDAR MALE, LO FARA'
VERSIONE QUANTISTICA DELLA LEGGE DI MURPHY: TUTTO VA MALE CONTEMPORANEAMENTE
Cita messaggio
#9
(27/03/2020, 21:06)andrea111 Ha scritto: Insisto su gnome-session-fallback - alleggerisce notevolmente ubuntu.

E posta anche sudo lshw -c video come ti ha chiesto m3nhir. Vediamo i driver video.

Quella che hai allegato è una ATI del 2001 (!!!), mi sa che all'epoca le prese VGA per la scheda grafica erano appena state introdotte.
D'accordo, installo subito gnome-session-fallback, grazie mille!

(27/03/2020, 21:22)BAT Ha scritto: La scheda ATI non va bene, è del 2001, impossibile che supporti la specifica open GL formalizzata nel 2009;
la Matrox forse invece si, basta che nel kernel Linux ci siano i driver, devi fare la prova non c'è altro modo
 Grazie! Come faccio a vedere se nel kernel Linux ci sono i driver della scheda Matrox?
Cita messaggio
#10
Citazione:Grazie! Come faccio a vedere se nel kernel Linux ci sono i driver della scheda Matrox?

È la quarta volta che te lo chiedono, quando posterai
Codice:
sudo lshw -c video
lo sapremo.

Una volta installato gnome-session-fallback lo dovrai attivare.
Lo fai al login, prima di immettere la password fai clic sull'icona di ubuntu che trovi appena sopra, si apre un menu che ti consente di scegliere l'ambiente grafico da usare, dovrai selezionare quello "senza effeti grafici" (metacity).
È un ambiente vecchio stile ma sarà molto più scattante.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)